Bug 474953 - cdparanoia gets SEGV
cdparanoia gets SEGV
Product: Fedora
Classification: Fedora
Component: cdparanoia (Show other bugs)
ppc64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-05 20:26 EST by Geoff Levand
Modified: 2009-12-18 02:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 02:10:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 507795 None None None Never

  None (edit)
Description Geoff Levand 2008-12-05 20:26:52 EST
Description of problem:

Fedora 10 cdparanoia would get SEGV soon after invocation.
Seen on PS3.

cdpranoia 10.2-2 + kernel = SEGV

From gdb:

Program received signal SIGSEGV, Segmentation fault.
0x0ffcfbbc in cdda_read_timed (d=0x1002a090, buffer=0x0, beginsector=0, sectors=1, ms=0xffffd778) at interface.c:126
126               for(i=0;i<els;i++)p[i]=swap16(p[i]);
Missing separate debuginfos, use: debuginfo-install glibc-2.9-2.ppc
(gdb) bt
#0  0x0ffcfbbc in cdda_read_timed (d=0x1002a090, buffer=0x0, beginsector=0, sectors=1, ms=0xffffd778) at interface.c:126
#1  0x0ff9f4f0 in cdrom_cache_handler (p=0x10039d78, lba=0, callback=0x10003308 <callback>) at paranoia.c:2272
#2  0x0ff9f860 in i_read_c_block (p=0x10039d78, beginword=0, endword=1176, callback=0x10003308 <callback>) at paranoia.c:2387
#3  0x0ffa0024 in paranoia_read_limited (p=0x10039d78, callback=0x10003308 <callback>, max_retries=20) at paranoia.c:2632
#4  0x100073e4 in main (argc=4, argv=0xffffe784) at main.c:1353

Version-Release number of selected component (if applicable):

cdpranoia 10.2-2

Additional info:

It seems there is an upstream fix.

There is a debian bug also:


Some LKML discussion:


Comment 1 Bug Zapper 2009-11-18 05:21:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2009-12-18 02:10:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.